local ogdrill = table.deepcopy(data.raw['mining-drill']['electric-mining-drill'])

data:extend({
    {
		type = 'mining-drill',
		name = 'advanced-mining-drill'
	},
	{
		type = 'mining-drill',
		name = 'elite-mining-drill'
	},
	{
        type = 'item',
        name = 'advanced-mining-drill',
        icon = '__base__/graphics/icons/electric-mining-drill.png',
        icon_size = 64,
        icon_mipmaps = 4,
        subgroup = 'extraction-machine',
        order = 'a[items]-b[electric-mining-drill]',
        place_result = 'advanced-mining-drill',
        stack_size = 50
    }, {
        type = 'item',
        name = 'elite-mining-drill',
        icon = '__base__/graphics/icons/electric-mining-drill.png',
        icon_size = 64,
        icon_mipmaps = 4,
        subgroup = 'extraction-machine',
        order = 'a[items]-b[electric-mining-drill]',
        place_result = 'elite-mining-drill',
        stack_size = 50
    }, {
        type = 'recipe',
        name = 'advanced-mining-drill',
        normal = {
            energy_required = 2,
            ingredients = {{'advanced-circuit', 5}, {'pipe', 20}, {'steel-plate', 10}},
            result = 'advanced-mining-drill'
        },
        expensive = {
            energy_required = 4,
            ingredients = {{'advanced-circuit', 10}, {'pipe', 30}, {'steel-plate', 25}},
            result = 'advanced-mining-drill'
        }
    }, {
        type = 'recipe',
        name = 'elite-mining-drill',
        category = "crafting-with-fluid",
        normal = {
            energy_required = 5,
            ingredients = {
                {'processing-unit', 4}, {'advanced-circuit', 5}, {'fast-inserter', 2}, {'steel-plate', 5},
                {type = 'fluid', name = 'lubricant', amount = 30}
            },
            result = 'elite-mining-drill'
        },
        expensive = {
            energy_required = 7,
            ingredients = {
                {'processing-unit', 7}, {'advanced-circuit', 10}, {'fast-inserter', 5}, {'steel-plate', 12},
                {type = 'fluid', name = 'lubricant', amount = 50}
            },
            result = 'elite-mining-drill'
        }
    }
})

data.raw['mining-drill']['advanced-mining-drill'] = table.deepcopy(ogdrill)
data.raw['mining-drill']['advanced-mining-drill'].name = 'advanced-mining-drill'
data.raw['mining-drill']['advanced-mining-drill'].minable.result = 'advanced-mining-drill'
data.raw['mining-drill']['advanced-mining-drill'].mining_speed = 1
data.raw['mining-drill']['advanced-mining-drill'].resource_searching_radius = 3.49
data.raw['mining-drill']['advanced-mining-drill'].max_health = 600

data.raw['mining-drill']['elite-mining-drill'] = table.deepcopy(ogdrill)
data.raw['mining-drill']['elite-mining-drill'].name = 'elite-mining-drill'
data.raw['mining-drill']['elite-mining-drill'].minable.result = 'elite-mining-drill'
data.raw['mining-drill']['elite-mining-drill'].mining_speed = 2
data.raw['mining-drill']['elite-mining-drill'].resource_searching_radius = 5.49
data.raw['mining-drill']['elite-mining-drill'].max_health = 1000
